/**
* Copyright (C) 2009 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.taxeditor.model.CdmUtil;

/**
 * @author p.ciardelli
 * @created 24.02.2009
 * @version 1.0
 */
public class TemporaryTaxon extends Taxon {
	private static Logger logger = Logger.getLogger(TemporaryTaxon.class);
	
//	TemporaryTaxon(Taxon taxon) {
//		this.t = CdmUtil.getTaxonService().getTaxonByUuid(taxon.getUuid());
//	}
	
	public static TemporaryTaxon newInstance(Taxon taxon) {
		TemporaryTaxon tempTaxon = (TemporaryTaxon) 
				CdmUtil.getTaxonService().getTaxonByUuid(taxon.getUuid());
		return tempTaxon;
	}
}
