/**
 * 
 */
package eu.etaxonomy.taxeditor.editor.descriptiontree;

import java.util.List;

import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
import eu.etaxonomy.cdm.model.description.Feature;
import eu.etaxonomy.cdm.model.description.TaxonDescription;

/**
 * @author p.ciardelli
 *
 */
public interface IDescriptiveInformationProvider {

	List<TaxonDescriptionFeature> getDescriptionFeatures(TaxonDescription description);
	
	List<DescriptionElementBase> getDescriptionElements(TaxonDescription description, Feature feature);

	TaxonDescriptionFeature getDescriptionFeature(DescriptionElementBase element);
}
