/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.propertysheet.name;

import eu.etaxonomy.cdm.model.name.ZoologicalName;

/**
 * Property source for ZoologicalName entries.
 *  
 * @author p.ciardelli
 * @created 21.05.2008
 * @version 1.0
 */
public class ZoologicalNamePropertySource extends NonViralNamePropertySource {

	private ZoologicalName zoologicalName;
		
	public ZoologicalNamePropertySource(ZoologicalName name) {
		super(name);
		this.zoologicalName = name;
	}
}