package eu.etaxonomy.taxeditor.editor;

import org.eclipse.swt.graphics.Point;
import org.eclipse.ui.application.ActionBarAdvisor;
import org.eclipse.ui.application.IActionBarConfigurer;
import org.eclipse.ui.application.IWorkbenchWindowConfigurer;
import org.eclipse.ui.application.WorkbenchWindowAdvisor;

public class ApplicationWorkbenchWindowAdvisor extends WorkbenchWindowAdvisor {

	public ApplicationWorkbenchWindowAdvisor(IWorkbenchWindowConfigurer configurer) {
		super(configurer);
	}

	public ActionBarAdvisor createActionBarAdvisor(
			IActionBarConfigurer configurer) {
		return new ApplicationActionBarAdvisor(configurer);
	}

	public void preWindowOpen() {
		IWorkbenchWindowConfigurer configurer = getWindowConfigurer();
		configurer.setInitialSize(new Point(800, 600));
		configurer.setShowCoolBar(false);
		configurer.setShowStatusLine(false);
		configurer.setTitle("RCP Application");
		
//		UUID taxonUuid = UUID.fromString("10167a2b-c417-4bcc-9fcf-59b82c302744");
//		URI uri;
//		try {
//			uri = new URI("cdm", taxonUuid.toString(), "");
//			TaxonStore taxonStore = new TaxonStore(uri);
//			System.out.println(taxonStore.getName());
//			
//			TaxonTree tree = new TaxonTree(taxonStore);
//			IFileStore[] childStores = tree.getChildStores(taxonStore);
//			
//			for (int i = 0; i < childStores.length; i++){
//				System.out.println(childStores[i].getName());
//			}
//			
//		} catch (URISyntaxException e) {
//			e.printStackTrace();
//		}
		

		
	}
}
